Bug 52217 - wrong chkconfig line (with recent initscripts)
wrong chkconfig line (with recent initscripts)
Product: Red Hat Raw Hide
Classification: Retired
Component: isdn4k-utils (Show other bugs)
i386 Linux
high Severity low
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-08-21 15:05 EDT by Ronny Buchmann
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-22 02:16:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ronny Buchmann 2001-08-21 15:05:23 EDT
Description of Problem:
network configuration is loaded before isdn modules

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
boot with runlevel >=3

/etc/init.d/isdn is run after /etc/init.d/network, so ipppX devices dont work

Additional Information:
chkconfig for /etc/init.d/isdn should be "2345 09 91"
(network has "2345 10 90")

--- isdn.orig   Wed Aug  8 17:47:49 2001
+++ isdn        Tue Aug 21 21:06:04 2001
@@ -1,6 +1,6 @@
 #! /bin/bash
-# chkconfig: 2345 24 89
+# chkconfig: 2345 09 91
 # description: start and stop ISDN services
Comment 1 Ronny Buchmann 2001-08-22 02:15:56 EDT
but there comes a new serious problem:

if /usr is mounted over nfs, tools like isdnctrl arent avialable, so we must wait till /usr is mounted

i think the big problem is that initscripts load all network devices in one step, this is the wrong behaviour

it should load things in this order
1. setup network hardware not requiring things in /usr (eth, tr,...)
2. setup the devices for it
3. mount network filesystems
4. setup network hardware requiring stuff in /usr (isdn, xdsl)
5. setup the devices
Comment 2 Ngo Than 2001-08-22 05:26:27 EDT
It's fixed in isdn4k-utils-3.1-45. You will find it in next rawhide release.

Note You need to log in before you can comment on or make changes to this bug.